Bug 50326 - While downloading, the ftpserver closes the connection
While downloading, the ftpserver closes the connection
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-30 10:11 EDT by Vidar Langseid
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 08:31:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidar Langseid 2001-07-30 10:11:04 EDT
Description of Problem:
The server is a Compaq Proliant DL-380. I have also another problem with
this server (I added a note to Bug 40912). I think that this two problems
may be related.

I manage to log on to the server using ftp. When I start to download files
it works for a while, then suddenly the server closes the connection. This
is the message I get from the client (ncftp) :

Remote host has closed the connection.
Passive mode refused.
get php: passive mode failed.


I am 100% sure this is not a firewall issue !!!
The server is not in real production yet so I think I can give some of you 
access to it if that is neccesary. (I want this to be fixed ASAP)

Maybe this is a kernel/driver issue ?
The server is using the eepro100 driver
I have given it these parameters in order to force 100Mb full duplex:
alias eth0 eepro100 options=0x30

The server is running kernel 2.4.3-12 and all other erratas are installed

How Reproducible:
Always

Steps to Reproduce:
1. Log in to the server with ftp
2. start downloading a directory hierarchy 
3. 

Actual Results:
After a while I get this errormessage (It doesn't occur on the exact same
file every time)
Remote host has closed the connection.
Passive mode refused.
get php: passive mode failed.

Expected Results:


Additional Information:
Comment 1 Thomas Woerner 2004-02-19 08:31:23 EST
Please use vsftpd, wu-ftpd is not maintained anymore.

Note You need to log in before you can comment on or make changes to this bug.